from django.conf.urls import patterns, include, url
from django.contrib.auth.forms import AdminPasswordChangeForm
from django.conf import settings
from django.contrib import admin
#from django.views.decorators.csrf import csrf_exempt
from principal.views import *
from django.contrib.auth import views as auth_views
from django.conf import settings

admin.autodiscover()

urlpatterns = patterns('',

                       url(r'^registro/$', BusquedaEstadoView.as_view()),
                       url(r'^registro2/$', BusquedaEstado2View.as_view()),
                       #registro_principal
                       url(r'^$', lista_servicios),
                       #url(r'^/$', base),

                       #egresos/
                       url(r'^addpaciente/$', savePaciente),

                       url(r'^paciente/(?P<id_participante>\d+)/borrar$', eliminar_paciente,name='eliminar_paciente'),

                       url(r'^add_deteccion/$', saveDeteccion),
                       url(r'^add_subsecuente/$', saveSubsecuente),
                       url(r'^busqueda_ajax/subsecuente/$', BusquedaAjaxSubsecuenteView.as_view()),
                       url(r'^busqueda_ajax/deteccionfecha/$', BusquedaAjaxFechaDeteccionesView.as_view()),
                       url(r'^busqueda_ajax/tipo_egreso/$', BusquedaAjaxTipoEgresoView.as_view()),


                       url(r'^add_egreso/$', saveEgreso),

                       url(r'^busqueda_ajax/estado/$', BusquedaAjaxEstadoView.as_view()),
                       url(r'^busqueda_ajax/municipio/$', BusquedaAjaxMunicipioView.as_view()),
                       url(r'^busqueda_ajax/localidad/$', BusquedaAjaxLocalidadView.as_view(), name='busquedaajax-localidad'),
                       url(r'^busqueda_ajax/unidad_medica/$', BusquedaAjaxUnidadMedicaView.as_view()),
                       url(r'^busqueda_ajax/servicios/$', BusquedaAjaxServicioView.as_view()),
                       url(r'^busqueda_ajax/responsable_atencion/$', BusquedaAjaxResponsableAtencionView.as_view()),
                       url(r'^busqueda_ajax/paciente/$', BusquedaAjaxPacienteView.as_view()),
                       url(r'^busqueda_ajax/paciente/id/$', BusquedaAjaxPaciente_IDView.as_view()),
                       url(r'^nuevo/paciente_ajax/$', GuardarPaciente_AjaxView.as_view()),
                       url(r'^pacientes/rfc/$', BusquedaAjaxRFC_PacientesView.as_view()),
                       url(r'^busqueda_ajax/derechohabiente/$', BusquedaAjaxDerechohabienteView.as_view()),
                       url(r'^busqueda_ajax/deteccion_paciente/$', BusquedaAjaxDetecciones_PacienteView.as_view()),
                       url(r'^busqueda_ajax/tx_farm/$', BusquedaAjaxTxFarmView.as_view()),
                       url(r'^busqueda_ajax/nivel/$', BusquedaAjaxNivelView.as_view()),
                       url(r'^busqueda_ajax/cie_10/$', BusquedaAjaxCie10View.as_view()),


                       url(r'^login/$', 'django.contrib.auth.views.login', name='login'),
                       url(r'^logout/$', 'django.contrib.auth.views.logout_then_login', name='logout'),
                       url(r'^password/change/$', auth_views.password_change, name='password_change'),
                       url(r'^password/change/done/$', auth_views.password_change_done, name='password_change_done'),
                       url(r'^password/reset/$', auth_views.password_reset, name='password_reset'),
                       url(r'^password/reset/done/$', auth_views.password_reset_done, name='password_reset_done'),
                       url(r'^password/reset/complete/$', auth_views.password_reset_complete,
                           name='password_reset_complete'),
                       url(r'^password/reset/confirm/(?P<uidb64>[0-9A-Za-z]+)-(?P<token>.+)/$',
                           auth_views.password_reset_confirm, name='password_reset_confirm'),


                       url(r'^pacientes/lista/$', 'principal.views.lista_pacientes'),
                       url(r'^unidades/lista/$', 'principal.views.lista_unidades_medicas',name='lista-unidadmedica'),
                       url(r'^detecciones/lista/$', 'principal.views.lista_detecciones'),
                       url(r'^egresos/$', 'principal.views.lista_egresos'),

                       url(r'^detecciones/paciente/(?P<id_paciente>\d+)$',
                           'principal.views.lista_detecciones_paciente'),

                       url(r'^responsable/nuevo/$', 'principal.views.nuevo_responsable', name='nuevo_responsable'),
                       url(r'^responsable/(?P<pk>\d+)/detalle', DetalleResponsableAtencionView.as_view(), name='detalle_responsable'),
                       url(r'^responsable/(?P<pk>\d+)/editar$', EditarResponsableAtencionView.as_view(), name='editar_responsable'),
                       url(r'^responsable/lista/$', lista_responsable, name='lista-responsable'),
                      # url(r'^responsable/lista/$', lista_responsable, name='lista-responsable'),
                       url(r'^responsable/accion/(?P<id_accion>\d+)$', lista_responsable_accion, name='responsable-accion'),

                       url(r'^paciente/nuevo/$', 'principal.views.nuevo_paciente'),
                       url(r'^decteccion/nuevo/$', 'principal.views.nueva_deteccion'),
                       url(r'^admin/', include(admin.site.urls)),

                       #url(r'^unidad_medica/$', ListaUnidadMedicaView.as_view(), name='lista-unidadmedica'),
                       url(r'^unidad_medica/nueva/$', CrearUnidadMedicaView.as_view(), name='crear-unidadmedica'),
                       url(r'^unidad_medica/(?P<pk>\d+)/detalle/$', DetalleUnidadMedicaView.as_view(), name='detalle-unidadmedica'),
                       url(r'^unidad_medica/(?P<pk>\d+)/editar/$', EditarUnidadMedicaView.as_view(), name='editar-unidadmedica'),

                       url(r'^tipo_um/$', ListaTipoHospital.as_view(), name='lista-tipo'),
                       url(r'^tipo_um/nuevo$', CrearTipoHospitalView.as_view(), name='crear-tipo'),
                       url(r'^tipo_um/(?P<pk>\d+)/detalle', DetalleTipoHospitalView.as_view(), name='detalle-tipo'),
                       url(r'^tipo_um/(?P<pk>\d+)/editar', EditarTipoView.as_view(), name='editar-tipo'),

                       url(r'^nivel_um/$', ListaNivelUM.as_view(), name='lista-nivelum'),
                       url(r'^nivel_um/nuevo$', CrearNivelUM.as_view(), name='crear-nivelum'),
                       url(r'^nivel_um/(?P<pk>\d+)/detalle', DetalleNivelUM.as_view(), name='detalle-nivelum'),
                       url(r'^nivel_um/(?P<pk>\d+)/editar', EditarNivelUM.as_view(), name='editar-nivelum'),


                        url(r'^reportetotal/$', reportetotal.as_view(), name='reportetotal'),
                        url(r'^reporteproductividad/$', reporteproductividad.as_view(), name='reporteproductividad'),
                        url(r'^reporteacumulacion/$', reporteacumulacion.as_view(), name='reporteacumulacion'),
                        url(r'^reportejurisdicciongenero/$', reportejurisdicciongenero.as_view(), name='reportejurisdicciongenero'),
                        url(r'^reporteunidadmedicagenero/$', reporteunidadmedicagenero.as_view(), name='reporteunidadmedicagenero'),
                        url(r'^reportenivelgenero/$', reportenivelgenero.as_view(), name='reportenivelgenero'),
                        url(r'^reportemesesgenero/$', reportemesesgenero.as_view(), name='reportemesesgenero'),
                        url(r'^reporteedadgenero/$', reporteedadgenero.as_view(), name='reporteedadgenero'),
                        url(r'^reporteriesgogenero/$', reporteriesgogenero.as_view(), name='reporteriesgogenero'),
                        url(r'^reporteresidenciahabitual/$', reporteresidenciahabitual.as_view(), name='reporteresidenciahabitual'),
                        url(r'^reporteescaladeteccion/$', reporteescaladeteccion.as_view(), name='reporteescaladeteccion'),
                        url(r'^reporteescalaegreso/$', reporteescalaegreso.as_view(), name='reporteescalaegreso'),
                        url(r'^reportederechohabiencia/$', reportederechohabiencia.as_view(), name='reportederechohabiencia'),
                        url(r'^reportemorbilidad/$', reportemorbilidad.as_view(), name='reportemorbilidad'),
                        url(r'^reportetratamiento/$', reportetratamiento.as_view(), name='reportetratamiento'),
                        url(r'^reporteegresomeses/$', reporteegresomeses.as_view(), name='reporteegresomeses'),
                        url(r'^reportesubsecuenteedad/$', reportesubsecuenteedad.as_view(), name='reportesubsecuenteedad'),
                        url(r'^reporteegresotipodeegreso/$', reporteegresotipodeegreso.as_view(), name='reporteegresotipodeegreso'),
                        url(r'^reporteegresoedad/$', reporteegresoedad.as_view(), name='reporteegresoedad'),
                        url(r'^reporteresponsableedad/$', reporteresponsableedad.as_view(), name='reporteresponsableedad'),
                        url(r'^reporteresponsableriesgo/$', reporteresponsableriesgo.as_view(), name='reporteresponsableriesgo'),
                        url(r'^reporteresponsablemorbilidad/$', reporteresponsablemorbilidad.as_view(), name='reporteresponsablemorbilidad'),
                        url(r'^reporteresponsabletratamiento/$', reporteresponsabletratamiento.as_view(), name='reporteresponsabletratamiento'),
                        url(r'^reporteresponsableescala/$', reporteresponsableescala.as_view(), name='reporteresponsableescala'),
                        url(r'^reportepacientemes/$', reportepacientemes.as_view(), name='reportepacientemes'),
                        url(r'^reportepacienteconsulta/$', reportepacienteconsulta.as_view(), name='reportepacienteconsulta'),




)                      

if settings.DEBUG:
    urlpatterns += patterns('',
        url(r'^media/(?P<path>.*)$', 'django.views.static.serve', {
            'document_root': settings.MEDIA_ROOT,
        }),
   )
